Read public task by ID
curl --request GET \
--url https://apiweb.mile.app/api/v3/task/public/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/task/public/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/task/public/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success.",
"data": {
"task": {
"flow": "simple flow 2",
"title": "tes multiple assign",
"content": "batu",
"label": "batu",
"expectedCoordinate": "-7.869000614936084,112.51961922126047",
"status": "ONGOING",
"listItem": [
{
"title": "Snack",
"content": null,
"data": {
"_id": null,
"dataId": null,
"dataTypeId": null,
"hubId": null,
"createdBy": null,
"organizationId": null,
"updatedTime": null,
"createdTime": null,
"value": null
},
"qty": 1,
"unitPrice": null,
"qtyProcessed": 1
},
{
"title": "Bread",
"content": null,
"data": {
"_id": null,
"dataId": null,
"dataTypeId": null,
"hubId": null,
"createdBy": null,
"organizationId": null,
"updatedTime": null,
"createdTime": null,
"value": null
},
"qty": 1,
"unitPrice": null,
"qtyProcessed": 3
},
{
"title": "Egg",
"content": null,
"data": {
"_id": null,
"dataId": null,
"dataTypeId": null,
"hubId": null,
"createdBy": null,
"organizationId": null,
"updatedTime": null,
"createdTime": null,
"value": null
},
"qty": 1,
"unitPrice": null,
"qtyProcessed": 1
}
],
"histories": [
{
"_id": "6655759d0f65144bd7141ab3",
"action": "create",
"notes": "Created by rizky dev",
"createdAt": "2024-05-28T06:11:41.037000Z"
}
]
},
"taskComponentDetail": [
{
"id": "listItem",
"inputType": "number",
"component": "list"
}
],
"location": [
{
"email": "rizky+dev@mile.app",
"lat": "-7.868508262933629",
"lon": "112.524245441029",
"createdTime": "2024-05-28 06:15:35",
"user": {
"name": "rizky dev",
"phoneNumber": "+62 81248944995"
}
}
]
}
}{
"status": false,
"message": "You can't track this task because it has expired."
}{
"status": false,
"message": "Data not found"
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Task
Read public task by ID
GET
/
task
/
public
/
{task_id}
Read public task by ID
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
Unique identifier for the task that generated by system.
Example: 6352736c628401059b37a2e2